Status: New Start date: 10 Mar 2020

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.20 hour

Description

It would be nice to have HNF in CoCoALib.

I can see two cases:

(special) over ZZ

(general) over a more general ring (where all necessary ideals are principal)

There are also two possible outputs:

just the HNF itself

the HNF and the unimodular transformation matrix

Related issues:

Related to CoCoALib - Feature #122: Porting "LinKer" Closed 04 Apr 2012

Related to CoCoALib - Feature #125: Matrix equation solving; linear system so... In Progress 05 Apr 2012

Related to CoCoALib - Feature #206: Matrix equation solving: LinKer In Progress 10 Jul 2012

Related to CoCoA-5 - Feature #1304: Hermite normal form New 29 Aug 2019

History

#1 - 10 Mar 2020 15:43 - John Abbott

- Related to Feature #122: Porting "LinKer" added

#2 - 10 Mar 2020 15:43 - John Abbott

- Related to Feature #125: Matrix equation solving; linear system solving added

#3 - 10 Mar 2020 15:44 - John Abbott

- Related to Feature #206: Matrix equation solving: LinKer added

#4 - 10 Mar 2020 15:44 - John Abbott

- Related to Feature #1304: Hermite normal form added

#5 - 10 Mar 2020 15:47 - John Abbott

Florian has already put a prototype impl (CoCoA-5) in issue #1304.  This should be ported to C++.

NTL has HNF which produces just the HNF and not the unimodular matrix.  The unimodular matrix can be useful for computing LinKerZZ (see #206),

but there are other approaches too -- I think NTL uses LLL for this.

#6 - 06 Oct 2020 15:12 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#7 - 16 Feb 2024 09:53 - John Abbott
https://cocoa.dima.unige.it/redmine/issues/1304
https://cocoa.dima.unige.it/redmine/issues/206


- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

Powered by TCPDF (www.tcpdf.org)

29 Apr 2024 2/2

http://www.tcpdf.org

